# Retrieve an incident of a v3 status page. - Checkly Docs

> Get an incident of a v3 status page, including its updates and component impacts.

Source: https://www.checklyhq.com/docs/api-reference/status-pages-v3/retrieve-an-incident-of-a-v3-status-page/

---

Retrieve an incident of a v3 status page.

```
curl --request GET \
--url https://api.checklyhq.com/v3/status-pages/{statusPageId}/incidents/{incidentId} \
--header 'Authorization: Bearer '
```

```
import requests

url = "https://api.checklyhq.com/v3/status-pages/{statusPageId}/incidents/{incidentId}"

headers = {"Authorization": "Bearer "}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer '}};

fetch('https://api.checklyhq.com/v3/status-pages/{statusPageId}/incidents/{incidentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.checklyhq.com/v3/status-pages/{statusPageId}/incidents/{incidentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer "
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.checklyhq.com/v3/status-pages/{statusPageId}/incidents/{incidentId}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer ")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.get("https://api.checklyhq.com/v3/status-pages/{statusPageId}/incidents/{incidentId}")
.header("Authorization", "Bearer ")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.checklyhq.com/v3/status-pages/{statusPageId}/incidents/{incidentId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer '

response = http.request(request)
puts response.read_body
```

```
{
"id": " ",
"statusPageId": " ",
"name": " ",
"lastUpdateStatus": "INVESTIGATING",
"created_at": "2023-12-25",
"incidentUpdates": [
{
"description": " ",
"status": "INVESTIGATING",
"id": " ",
"created_at": "2023-12-25",
"publicIncidentUpdateDate": "2026-10-05T01:01:24.661Z",
"notifySubscribers": false
}
],
"duration": 123,
"componentImpacts": [
{
"componentId": " ",
"status": "OPERATIONAL",
"startedAt": "2023-12-25",
"endedAt": "2023-12-25"
}
],
"updated_at": "2023-12-25"
}
```

```
{
"statusCode": 401,
"error": "Unauthorized",
"message": "Bad Token",
"attributes": {}
}
```

```
{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}
```

```
{
"statusCode": 404,
"error": "Not Found",
"message": "Not Found"
}
```

```
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Too Many Requests",
"attributes": {}
}
```

Status Page Incidents

# Retrieve an incident of a v3 status page.

Get an incident of a v3 status page, including its updates and component impacts.

GET

/

v3

/

status-pages

/

{statusPageId}

/

incidents

/

{incidentId}

Retrieve an incident of a v3 status page.

```
curl --request GET \
--url https://api.checklyhq.com/v3/status-pages/{statusPageId}/incidents/{incidentId} \
--header 'Authorization: Bearer '
```

```
import requests

url = "https://api.checklyhq.com/v3/status-pages/{statusPageId}/incidents/{incidentId}"

headers = {"Authorization": "Bearer "}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer '}};

fetch('https://api.checklyhq.com/v3/status-pages/{statusPageId}/incidents/{incidentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.checklyhq.com/v3/status-pages/{statusPageId}/incidents/{incidentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer "
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.checklyhq.com/v3/status-pages/{statusPageId}/incidents/{incidentId}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer ")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.get("https://api.checklyhq.com/v3/status-pages/{statusPageId}/incidents/{incidentId}")
.header("Authorization", "Bearer ")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.checklyhq.com/v3/status-pages/{statusPageId}/incidents/{incidentId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer '

response = http.request(request)
puts response.read_body
```

```
{
"id": " ",
"statusPageId": " ",
"name": " ",
"lastUpdateStatus": "INVESTIGATING",
"created_at": "2023-12-25",
"incidentUpdates": [
{
"description": " ",
"status": "INVESTIGATING",
"id": " ",
"created_at": "2023-12-25",
"publicIncidentUpdateDate": "2026-10-05T01:01:24.661Z",
"notifySubscribers": false
}
],
"duration": 123,
"componentImpacts": [
{
"componentId": " ",
"status": "OPERATIONAL",
"startedAt": "2023-12-25",
"endedAt": "2023-12-25"
}
],
"updated_at": "2023-12-25"
}
```

```
{
"statusCode": 401,
"error": "Unauthorized",
"message": "Bad Token",
"attributes": {}
}
```

```
{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}
```

```
{
"statusCode": 404,
"error": "Not Found",
"message": "Not Found"
}
```

```
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Too Many Requests",
"attributes": {}
}
```

#### Authorizations

​

Authorization

string

header

required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key [here](https://app.checklyhq.com/settings/user/api-keys).
Your API key is like a password:
keep it secure!

Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.

For example, set Authorization header while using cURL: `curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"`

#### Headers

​

x-checkly-account

string

Your Checkly account ID, you can find it at [https://app.checklyhq.com/settings/account/general](https://app.checklyhq.com/settings/account/general)

#### Path Parameters

​

statusPageId

string

required

​

incidentId

string

required

#### Response

Successful

​

id

string

required

​

statusPageId

string

required

​

name

string

required

​

lastUpdateStatus

enum<string>

required

Available options: `INVESTIGATING`,

`IDENTIFIED`,

`MONITORING`,

`RESOLVED`

​

created_at

string<date>

required

​

incidentUpdates

object[]

required

Show child attributes

​

duration

integer | null

Seconds from the first update to the resolving update; null while ongoing.

​

componentImpacts

object[]

Show child attributes

​

updated_at

string<date> | null

Was this page helpful?

[Suggest edits](https://github.com/checkly/docs/edit/main/api-reference/status-pages-v3/retrieve-an-incident-of-a-v3-status-page.mdx)[Raise issue](https://github.com/checkly/docs/issues/new?title=Issue%20on%20docs&body=Path:%20/api-reference/status-pages-v3/retrieve-an-incident-of-a-v3-status-page)

[Open an incident on a v3 status page. Previous](https://www.checklyhq.com/docs/api-reference/status-pages-v3/open-an-incident-on-a-v3-status-page)[Update an incident of a v3 status page. Next](https://www.checklyhq.com/docs/api-reference/status-pages-v3/update-an-incident-of-a-v3-status-page)

[x](https://x.com/checklyhq)[github](https://github.com/checkly)[linkedin](https://linkedin.com/company/checkly)

[Powered by This documentation is built and hosted on Mintlify, a developer documentation platform](https://www.mintlify.com/?utm_campaign=poweredBy&utm_medium=referral&utm_source=checkly-422f444a)
